/** Error checking
 *
 * @author Ondrej Cekan
 * @date 20/03/2014
 * @update 30/12/2014
 *
     Copyright (C) 2015 Ondrej Cekan

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 */


using namespace std;


/** Print error and terminate program
 *
 * @param st - error state
 * @param row - row with error
 * @param col - end col with error
 * @param word - word with error
 *
 */
void error(estate st, unsigned row, unsigned col, string word)
{
    cout << "Error: " << row << ":" << (col-word.length()) << ":";

    switch(st)
    {
        case UKEYWORD: cout  << "unknown keyword '" << word << "'" << endl; break;
        case UWORD: cout << "unexpected word '" << word << "'" << endl; break;
        case UVAR: cout << "variable error in word '" << word << "'" << endl; break;
        case USYN: cout << "nonexistent syntax '" << word << "'" << endl; break;
        default: cout << "unknown error in word '" << word << "'" << endl; break;
    }

    exit(1);
}
